OPENSSL-GENRSA(1SSL)

NUME
generați o cheie privată RSA

SINOPSIS
openssl genrsa [-help] [-out nume-fișier] [-passout arg] [-aes128] [-aes192] [-aes256] [-aria128] [-aria192] [-aria256] [-camellia128] [-camellia192] [-camellia256] [-des] [-des3] [-idea] [-F4] [-f4] [-3] [-primes num] [-verbose] [-quiet] [-traditional] [-rand fișiere] [-writerand fișier] [-engine id] [-provider nume] [-provider-path ruta] [-provparam [nume:]cheie=valoare] [-propquery propq] [numbits]

DESCRIERE
Această comandă generează o cheie privată RSA.

OPȚIUNI

-help
    Afișează acest mesaj de utilizare.

-out nume-fișier
    Scrie cheia în fișierul specificat. Dacă acest argument nu este specificat, este utilizată ieșirea standard.

-passout argument
    Sursa parolei fișierului de ieșire. Pentru mai multe informații despre format, consultați openssl-passphrase-options(1).

-aes128, -aes192, -aes256, -aria128, -aria192, -aria256, -camellia128, -camellia192, -camellia256, -des, -des3, -idea
    Aceste opțiuni criptează cheia privată cu algoritmul specificat înainte de a o afișa. Dacă nu este specificată niciuna dintre aceste opțiuni, nu se utilizează criptarea. Dacă se utilizează criptarea, se solicită o frază de acces dacă aceasta nu este furnizată prin argumentul -passout.

-F4, -f4, -3
    Exponentul public de utilizat, fie 65537, fie 3. Valoarea implicită este 65537. Opțiunea -3 a fost depreciată.

-primes număr
    Specifică numărul de numere prime care vor fi utilizate la generarea cheii RSA. Parametrul num trebuie să fie un număr întreg pozitiv mai mare decât 1 și mai mic decât 16. Dacă num este mai mare decât 2, cheia generată se numește cheie RSA „multi-prime”, definită în RFC 8017.

-verbose
    Afișează detalii suplimentare despre operațiile efectuate.

-quiet
    Afișează mai puține detalii despre operațiile efectuate, ceea ce poate fi util în timpul scripturilor pe loturi și a liniilor de conducte (pipelines).

-traditional
    Scrie cheia utilizând formatul tradițional PKCS#1 în loc de formatul PKCS#8.

-rand fișiere, -writerand fișier
    Consultați «Opțiuni de stare aleatorie» în openssl(1) pentru detalii.

-engine id
    Consultați secțiunea «Opțiuni motor» din openssl(1). Această opțiune este depreciată.

-provider nume
-provider-path rută
-provparam [nume:]key=valoare
-propquery propq
    Consultați „Opțiuni furnizor” în openssl(1), provider(7) și property(7).

numbits
    Dimensiunea cheii private care trebuie generată în biți. Aceasta trebuie să fie ultima opțiune specificată. Valoarea implicită este 2048, iar valorile mai mici de 512 nu sunt permise.

NOTE
Generarea cheii private RSA implică, în esență, generarea a două sau mai multe numere prime. La generarea unei chei private, vor fi afișate diverse simboluri pentru a indica progresul generării. Un . reprezintă fiecare număr care a trecut testul inițial de cernere, + înseamnă că un număr a trecut o singură rundă a testului de primalitate Miller-Rabin, * înseamnă că numărul prim actual începe un proces de regenerare din cauza unor teste eșuate. O linie nouă înseamnă că numărul a trecut toate testele de primalitate (numărul real depinde de dimensiunea cheii).

Deoarece generarea cheilor este un proces aleatoriu, timpul necesar pentru generarea unei chei poate varia oarecum. Dar, în general, cu cât sunt mai multe numere prime, cu atât timpul de generare a unei chei este mai scurt.

CONSULTAȚI ȘI
openssl(1), openssl-genpkey(1), openssl-gendsa(1)

DREPTURI DE AUTOR
Drepturi de autor 2000-2023 The OpenSSL Project Authors. Toate drepturile rezervate.

Licențiat sub Licența Apache 2.0 („License”). Nu aveți voie să utilizați acest fișier decât în conformitate cu licența. Puteți obține o copie din fișierul LICENSE din distribuția sursei sau de la <https://www.openssl.org/source/license.html>.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.